% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{MySeqList}
\alias{MySeqList}
\title{Several sequences}
\format{
A list of 285 character strings with their entry codes as names
}
\source{
Structural Classification Of Proteins database (SCOP). More precisely this data contain the 285 protein sequences of the data called "CF_scop2dom_20140205aa" with length from 31 to 404.
}
\usage{
MySeqList
}
\description{
A vector of character strings
}
\examples{
data(MySeqList)
head(MySeqList)
MySeqList[1]
nchar(MySeqList[1])
summary(sapply(MySeqList, nchar))
data(dico)
MySeqScoreList=lapply(MySeqList, FUN=CharSequence2ScoreSequence, dico)
head(MySeqScoreList)
AA=automatic_analysis(sequences=MySeqScoreList, model='iid')
AA[[1]]
# the p-value of the first 10 sequences 
sapply(AA, function(x){x$`p-value`})[1:10]
# the 20th smallest p-values
sort(sapply(AA, function(x){x$`p-value`}))[1:20]
which(sapply(AA, function(x){x$`p-value`})<0.05)
table(sapply(AA, function(x){x$`method`}))
# The maximum sequence length equals 404 so it here normal that the exact method is used for
# all the 606 sequences of the data base 
# Score distribution learnt on the data set
scoreSequences2probabilityVector(MySeqScoreList)
}
\keyword{datasets}
